
execute as @e[type=potion] unless score @s entity_id matches 1.. run kill @s
execute as @e[type=potion,tag=!registered] at @s run summon marker ~ ~ ~ {Tags:["potion_tracker"]}
execute as @e[type=marker,tag=potion_tracker] unless score @s player_id matches 1.. at @s as @a[scores={throw_potion=1..},sort=nearest,limit=1] run scoreboard players operation @e[type=marker,tag=potion_tracker,sort=nearest,limit=1] player_id = @s player_id
execute as @e[type=marker,tag=potion_tracker] unless score @s entity_id matches 1.. at @s as @e[type=potion,sort=nearest,tag=!registered,limit=1] run scoreboard players operation @e[type=marker,tag=potion_tracker,sort=nearest,limit=1] entity_id = @s entity_id
tag @e[type=potion,tag=!registered] add registered
execute as @e[type=potion] at @s as @e[type=marker,tag=potion_tracker] if score @s entity_id = @e[type=potion,sort=nearest,limit=1] entity_id run tp @s @e[type=potion,sort=nearest,limit=1]

tag @e[type=marker,tag=potion_tracker] remove potion_flying
execute as @e[type=marker,tag=potion_tracker] at @s as @e[type=potion] if score @s entity_id = @e[type=marker,tag=potion_tracker,sort=nearest,limit=1] entity_id run tag @e[type=marker,tag=potion_tracker,sort=nearest,limit=1] add potion_flying

execute as @e[type=marker,tag=potion_tracker,tag=!potion_flying] at @s as @a if score @e[type=marker,tag=potion_tracker,tag=!potion_flying,sort=nearest,limit=1] player_id = @s player_id run tag @s add revived_player
kill @e[type=marker,tag=potion_tracker,tag=!potion_flying]

scoreboard players remove @a[scores={arrow_count=1..}] arrow_count 1
execute as @a[scores={arrow_count=0},tag=!ghost] at @s run playsound minecraft:item.trident.return master @s ~ ~1 ~ 0.5 2
execute as @a[scores={arrow_count=0},tag=!ghost] at @s run playsound minecraft:entity.item.pickup master @s ~ ~1 ~ 1 1.5
scoreboard players reset @a[scores={arrow_count=..0}] arrow_count
execute as @a[scores={throw_potion=1..}] unless entity @s[team=!red,team=!blue] run scoreboard players set @s arrow_count 100
scoreboard players reset @a[scores={throw_potion=1..}] throw_potion

execute if score match_state game_state matches 1.. as @a[tag=ghost,nbt={Inventory:[{tag:{Ammo:1b}}]}] unless entity @s[team=!red,team=!blue] run tag @s add update_potions
execute if score match_state game_state matches 1.. as @a[tag=!ghost,scores={arrow_count=1..20},nbt=!{Inventory:[{id:"minecraft:firework_star",tag:{Ammo:1b,Charge:1b}}]}] unless entity @s[team=!red,team=!blue] run tag @s add update_potions
execute if score match_state game_state matches 1.. as @a[tag=!ghost,scores={arrow_count=21..40},nbt=!{Inventory:[{id:"minecraft:firework_star",tag:{Ammo:1b,Charge:2b}}]}] unless entity @s[team=!red,team=!blue] run tag @s add update_potions
execute if score match_state game_state matches 1.. as @a[tag=!ghost,scores={arrow_count=41..60},nbt=!{Inventory:[{id:"minecraft:firework_star",tag:{Ammo:1b,Charge:3b}}]}] unless entity @s[team=!red,team=!blue] run tag @s add update_potions
execute if score match_state game_state matches 1.. as @a[tag=!ghost,scores={arrow_count=61..80},nbt=!{Inventory:[{id:"minecraft:firework_star",tag:{Ammo:1b,Charge:4b}}]}] unless entity @s[team=!red,team=!blue] run tag @s add update_potions
execute if score match_state game_state matches 1.. as @a[tag=!ghost,scores={arrow_count=81..100},nbt=!{Inventory:[{id:"minecraft:firework_star",tag:{Ammo:1b,Charge:5b}}]}] unless entity @s[team=!red,team=!blue] run tag @s add update_potions
execute if score match_state game_state matches 1.. as @a[tag=!ghost,scores={arrow_count=101..},nbt=!{Inventory:[{id:"minecraft:firework_star",tag:{Ammo:1b,Charge:6b}}]}] unless entity @s[team=!red,team=!blue] run tag @s add update_potions
execute if score match_state game_state matches 1.. as @a[tag=!ghost,nbt=!{Inventory:[{id:"minecraft:splash_potion",Slot:1b,tag:{Ammo:1b}}]}] unless entity @s[team=!red,team=!blue] unless entity @s[scores={arrow_count=1..}] run tag @s add update_potions

execute as @a[scores={arrow_count=20}] at @s run playsound minecraft:block.note_block.hat master @s ~ ~1 ~ 0.2 1.4
execute as @a[scores={arrow_count=40}] at @s run playsound minecraft:block.note_block.hat master @s ~ ~1 ~ 0.2 1.4
execute as @a[scores={arrow_count=60}] at @s run playsound minecraft:block.note_block.hat master @s ~ ~1 ~ 0.2 1.4
execute as @a[scores={arrow_count=80}] at @s run playsound minecraft:block.note_block.hat master @s ~ ~1 ~ 0.2 1.4
execute as @a[scores={arrow_count=100}] at @s run playsound minecraft:block.note_block.hat master @s ~ ~1 ~ 0.2 1.4


execute if score match_state game_state matches 1.. run clear @a[tag=update_potions] splash_potion{Ammo:1b}
execute if score match_state game_state matches 1.. run clear @a[tag=update_potions] firework_star{Ammo:1b}
execute if score match_state game_state matches 1.. as @a[tag=!ghost,team=red,tag=update_potions] unless score @s arrow_count matches 1.. run item replace entity @s hotbar.1 with splash_potion{Ammo:1b,HideFlags:32,CustomPotionEffects:[{Id:27,Duration:40,ShowParticles:0b}],CustomPotionColor:16719647,display:{Name:'{"text":"Red Team Revival Potion","italic":"false","color":"red"}',Lore:['{"text":"(Right Click to Throw)","color":"dark_gray","italic":"false"}']}}
execute if score match_state game_state matches 1.. as @a[tag=!ghost,team=blue,tag=update_potions] unless score @s arrow_count matches 1.. run item replace entity @s hotbar.1 with splash_potion{Ammo:1b,HideFlags:32,CustomPotionEffects:[{Id:26,Duration:40,ShowParticles:0b}],CustomPotionColor:5201919,display:{Name:'{"text":"Blue Team Revival Potion","italic":"false","color":"blue"}',Lore:['{"text":"(Right Click to Throw)","color":"dark_gray","italic":"false"}']}}
execute if score match_state game_state matches 1.. run item replace entity @a[tag=!ghost,tag=update_potions,scores={arrow_count=1..20}] hotbar.1 with firework_star{Ammo:1b,Charge:1b,display:{Name:'{"text":"Next Potion In ","italic":"false","color":"gold","extra":[{"text":"1","color":"yellow"}]}'}}
execute if score match_state game_state matches 1.. run item replace entity @a[tag=!ghost,tag=update_potions,scores={arrow_count=21..40}] hotbar.1 with firework_star{Ammo:1b,Charge:2b,display:{Name:'{"text":"Next Potion In ","italic":"false","color":"gold","extra":[{"text":"2","color":"yellow"}]}'}}
execute if score match_state game_state matches 1.. run item replace entity @a[tag=!ghost,tag=update_potions,scores={arrow_count=41..60}] hotbar.1 with firework_star{Ammo:1b,Charge:3b,display:{Name:'{"text":"Next Potion In ","italic":"false","color":"gold","extra":[{"text":"3","color":"yellow"}]}'}}
execute if score match_state game_state matches 1.. run item replace entity @a[tag=!ghost,tag=update_potions,scores={arrow_count=61..80}] hotbar.1 with firework_star{Ammo:1b,Charge:4b,display:{Name:'{"text":"Next Potion In ","italic":"false","color":"gold","extra":[{"text":"4","color":"yellow"}]}'}}
execute if score match_state game_state matches 1.. run item replace entity @a[tag=!ghost,tag=update_potions,scores={arrow_count=81..100}] hotbar.1 with firework_star{Ammo:1b,Charge:5b,display:{Name:'{"text":"Next Potion In ","italic":"false","color":"gold","extra":[{"text":"5","color":"yellow"}]}'}}
execute if score match_state game_state matches 1.. run item replace entity @a[tag=!ghost,tag=update_potions,scores={arrow_count=101..}] hotbar.1 with firework_star{Ammo:1b,Charge:6b,display:{Name:'{"text":"Next Potion In ","italic":"false","color":"gold","extra":[{"text":"6","color":"yellow"}]}'}}

tag @a[tag=update_potions] remove update_potions

execute as @a[tag=!ghost,scores={death=1..}] unless entity @s[team=!red,team=!blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p player_id run tp @p @s
execute as @a[tag=!ghost,scores={death=1..}] unless entity @s[team=!red,team=!blue] at @s run playsound minecraft:entity.wither.hurt master @s ~ ~1 ~ 0.2 0.5
execute as @a[tag=!ghost,scores={death=1..}] unless entity @s[team=!red,team=!blue] at @s run playsound minecraft:entity.wither.spawn master @s ~ ~1 ~ 0.15 2
execute as @a[tag=!ghost,scores={death=1..}] unless entity @s[team=!red,team=!blue] run tag @s add ghost


execute as @a[tag=!ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p player_id run kill @s

execute as @a[tag=ghost,team=red] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p[team=red] player_id at @s run summon zombie ~ ~ ~ {Glowing:1,Tags:["res_entity","red"],Silent:1,Attributes:[{Name:"generic.follow_range",Base:0f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.movement_speed",Base:0f}],ArmorItems:[{},{},{id:"minecraft:leather_chestplate",Count:1b,tag:{Unbreakable:1,display:{color:16719647}}},{id:"minecraft:leather_helmet",Count:1b,tag:{Unbreakable:1,display:{color:16719647}}}]}
execute as @a[tag=ghost,team=blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p[team=blue] player_id at @s run summon zombie ~ ~ ~ {Glowing:1,Tags:["res_entity","blue"],Silent:1,Attributes:[{Name:"generic.follow_range",Base:0f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.movement_speed",Base:0f}],ArmorItems:[{},{},{id:"minecraft:leather_chestplate",Count:1b,tag:{Unbreakable:1,display:{color:5201919}}},{id:"minecraft:leather_helmet",Count:1b,tag:{Unbreakable:1,display:{color:5201919}}}]}
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p player_id at @s run tp @e[type=zombie,tag=res_entity,sort=nearest,limit=1] @s
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p player_id run effect give @p blindness 2 0 true
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p player_id at @s run tp @p ~ ~1 ~

execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p player_id at @s run particle minecraft:large_smoke ~ ~ ~ 0 0 0 0.1 30
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p player_id at @s run playsound minecraft:entity.zombie.infect player @a ~ ~ ~ 0.7 1
team join red @e[type=zombie,tag=red,tag=res_entity]
team join blue @e[type=zombie,tag=blue,tag=res_entity]
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=marker,tag=res_marker] if score @s player_id = @p player_id at @s run scoreboard players operation @e[type=zombie,tag=res_entity,sort=nearest,limit=1] player_id = @s player_id
kill @e[type=marker,tag=res_marker]
effect give @e[type=zombie,tag=res_entity] resistance infinite 4 true

execute if score match_state game_state matches 1.. if score red count matches 1.. unless entity @a[team=blue,tag=winner] unless score red_team_respawn time matches 1.. unless entity @a[team=red,tag=!ghost] run scoreboard players add Blue points 1
execute if score match_state game_state matches 1.. if score blue count matches 1.. unless entity @a[team=red,tag=winner] unless score blue_team_respawn time matches 1.. unless entity @a[team=blue,tag=!ghost] run scoreboard players add Red points 1

execute if score Red points >= score_target game_state run tag @a[team=red] add winner
execute if score Blue points >= score_target game_state run tag @a[team=blue] add winner

execute if score match_state game_state matches 1.. if score red count matches 1.. unless entity @a[team=blue,tag=winner] unless score red_team_respawn time matches 1.. unless entity @a[team=red,tag=!ghost] run title @a[team=!lobby,team=!editor] title ""
execute if score match_state game_state matches 1.. if score red count matches 1.. unless entity @a[team=blue,tag=winner] unless score red_team_respawn time matches 1.. unless entity @a[team=red,tag=!ghost] run title @a[team=!lobby,team=!editor] subtitle {"text":"Red Team","color":"red","extra":[{"text":" Eliminated","color":"gray"}]}
execute if score match_state game_state matches 1.. if score red count matches 1.. unless entity @a[team=blue,tag=winner] unless score red_team_respawn time matches 1.. unless entity @a[team=red,tag=!ghost] as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.husk.death master @s ~ ~1 ~ 1 0.7
execute if score match_state game_state matches 1.. if score red count matches 1.. unless entity @a[team=blue,tag=winner] unless score red_team_respawn time matches 1.. unless entity @a[team=red,tag=!ghost] as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.generic.explode master @s ~ ~1 ~ 0.5 1.5
execute if score match_state game_state matches 1.. if score red count matches 1.. unless entity @a[team=blue,tag=winner] unless score red_team_respawn time matches 1.. unless entity @a[team=red,tag=!ghost] as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.wither.spawn master @s ~ ~1 ~ 0.4 2
execute if score match_state game_state matches 1.. if score blue count matches 1.. unless entity @a[team=red,tag=winner] unless score blue_team_respawn time matches 1.. unless entity @a[team=blue,tag=!ghost] run title @a[team=!lobby,team=!editor] title ""
execute if score match_state game_state matches 1.. if score blue count matches 1.. unless entity @a[team=red,tag=winner] unless score blue_team_respawn time matches 1.. unless entity @a[team=blue,tag=!ghost] run title @a[team=!lobby,team=!editor] subtitle {"text":"Blue Team","color":"blue","extra":[{"text":" Eliminated","color":"gray"}]}
execute if score match_state game_state matches 1.. if score blue count matches 1.. unless entity @a[team=red,tag=winner] unless score blue_team_respawn time matches 1.. unless entity @a[team=blue,tag=!ghost] as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.husk.death master @s ~ ~1 ~ 1 0.7
execute if score match_state game_state matches 1.. if score blue count matches 1.. unless entity @a[team=red,tag=winner] unless score blue_team_respawn time matches 1.. unless entity @a[team=blue,tag=!ghost] as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.generic.explode master @s ~ ~1 ~ 0.5 1.5
execute if score match_state game_state matches 1.. if score blue count matches 1.. unless entity @a[team=red,tag=winner] unless score blue_team_respawn time matches 1.. unless entity @a[team=blue,tag=!ghost] as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.wither.spawn master @s ~ ~1 ~ 0.4 1.5

execute if score match_state game_state matches 1.. if score red_team_respawn time matches 1.. if entity @a[team=red,tag=!ghost] run scoreboard players reset red_team_respawn time
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 1.. if entity @a[team=blue,tag=!ghost] run scoreboard players reset blue_team_respawn time
execute if score match_state game_state matches 1.. unless entity @a[team=red,tag=!ghost] run scoreboard players add red_team_respawn time 1
execute if score match_state game_state matches 1.. unless entity @a[team=blue,tag=!ghost] run scoreboard players add blue_team_respawn time 1

execute if score match_state game_state matches 1.. if score red_team_respawn time matches 1.. run kill @e[type=potion,nbt={Item:{tag:{CustomPotionEffects:[{Id:27}]}}}]
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 1.. run kill @e[type=potion,nbt={Item:{tag:{CustomPotionEffects:[{Id:26}]}}}]


execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 50 as @a[team=!lobby,team=!editor] at @s run playsound minecraft:block.portal.trigger master @s ~ ~1 ~ 0.3 1.5
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 50 as @a[team=!lobby,team=!editor] at @s run playsound minecraft:block.portal.trigger master @s ~ ~1 ~ 0.3 1.5

execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. run tag @e[type=zombie,tag=res_entity,tag=red] add zombie_respawn
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. run title @a[team=!lobby,team=!editor] title ""
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. run title @a[team=!lobby,team=!editor] subtitle {"text":"Red Team","color":"red","extra":[{"text":" Has Respawned","color":"gray"}]}
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.zombie.ambient master @s ~ ~1 ~ 0.5 0.6
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.zombie.ambient master @s ~ ~1 ~ 0.5 0.5
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.generic.explode master @s ~ ~1 ~ 0.5 2
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.wither.death master @s ~ ~1 ~ 0.5 1.5

execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. run tag @e[type=zombie,tag=res_entity,tag=blue] add zombie_respawn
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. run title @a[team=!lobby,team=!editor] title ""
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. run title @a[team=!lobby,team=!editor] subtitle {"text":"Blue Team","color":"blue","extra":[{"text":" Has Respawned","color":"gray"}]}
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.zombie.ambient master @s ~ ~1 ~ 0.5 0.6
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.zombie.ambient master @s ~ ~1 ~ 0.5 0.5
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.generic.explode master @s ~ ~1 ~ 0.5 2
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.wither.death master @s ~ ~1 ~ 0.5 1.5

execute as @a[tag=ghost,team=red] at @s as @e[type=zombie,tag=res_entity,tag=red,nbt={ActiveEffects:[{Id:27}]}] if score @s player_id = @p player_id run tellraw @a[team=!lobby] {"text":"[","color":"gray","extra":[{"selector":"@a[team=!blue,tag=revived_player]"},{"text":" ❤ ","color":"gold"},{"selector":"@p"},{"text":"]"}]}
execute as @a[tag=ghost,team=blue] at @s as @e[type=zombie,tag=res_entity,tag=blue,nbt={ActiveEffects:[{Id:26}]}] if score @s player_id = @p player_id run tellraw @a[team=!lobby] {"text":"[","color":"gray","extra":[{"selector":"@a[team=!red,tag=revived_player]"},{"text":" ❤ ","color":"gold"},{"selector":"@p"},{"text":"]"}]}

tag @a[tag=revived_player] remove revived_player

tag @e[type=zombie,tag=res_entity,tag=red,nbt={ActiveEffects:[{Id:27}]}] add zombie_respawn
tag @e[type=zombie,tag=res_entity,tag=blue,nbt={ActiveEffects:[{Id:26}]}] add zombie_respawn

execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=zombie,tag=res_entity,tag=zombie_respawn] if score @s player_id = @p player_id run tp @p @s
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=zombie,tag=res_entity,tag=zombie_respawn] if score @s player_id = @p player_id run effect give @p resistance 4 4
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=zombie,tag=res_entity,tag=zombie_respawn] if score @s player_id = @p player_id run effect give @p blindness 1 0 true
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=zombie,tag=res_entity,tag=zombie_respawn] if score @s player_id = @p player_id run scoreboard players set @p arrow_count 120
execute as @a[tag=ghost] unless entity @s[team=!red,team=!blue] at @s as @e[type=zombie,tag=res_entity,tag=zombie_respawn] if score @s player_id = @p player_id run tag @p remove ghost
execute as @e[type=zombie,tag=res_entity,tag=zombie_respawn] at @s run playsound minecraft:item.totem.use player @a ~ ~1 ~ 0.3 2
execute as @e[type=zombie,tag=res_entity,tag=zombie_respawn] at @s run playsound minecraft:entity.zombie_villager.converted player @a ~ ~1 ~ 0.7 1.3
execute as @e[type=zombie,tag=res_entity,tag=zombie_respawn] at @s run playsound minecraft:entity.zombie_villager.cure player @a ~ ~1 ~ 0.3 1.8
execute as @e[type=zombie,tag=res_entity,tag=zombie_respawn] at @s run particle minecraft:totem_of_undying ~ ~1 ~ 0 0 0 0.5 50
execute as @e[type=zombie,tag=res_entity,tag=zombie_respawn] at @s run particle minecraft:poof ~ ~1 ~ 0 0 0 0.1 30
execute as @e[type=zombie,tag=res_entity,tag=zombie_respawn] at @s run particle minecraft:firework ~ ~1 ~ 0 0 0 0.3 50
execute as @e[type=zombie,tag=res_entity,tag=zombie_respawn] at @s run tp @s ~ ~-100 ~
kill @e[type=zombie,tag=res_entity,tag=zombie_respawn]

execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. run tp @a[team=blue,tag=ghost] @e[type=marker,tag=blue_spawn,limit=1]
execute if score match_state game_state matches 1.. if score blue_team_respawn time matches 100.. run tag @a[team=blue,tag=ghost] remove ghost
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. run tp @a[team=red,tag=ghost] @e[type=marker,tag=red_spawn,limit=1]
execute if score match_state game_state matches 1.. if score red_team_respawn time matches 100.. run tag @a[team=red,tag=ghost] remove ghost

execute as @a[tag=!ghost] unless entity @s[team=!red,team=!blue] at @s run summon marker ~ ~ ~ {Tags:["res_marker"]}
execute as @a[tag=!ghost] unless entity @s[team=!red,team=!blue] at @s run tp @e[type=marker,tag=res_marker,sort=nearest,limit=1] @s
execute as @a[tag=!ghost] unless entity @s[team=!red,team=!blue] at @s run scoreboard players operation @e[type=marker,tag=res_marker,sort=nearest,limit=1] player_id = @s player_id

execute as @e[type=zombie,tag=res_entity,nbt={HurtTime:10s}] at @s run playsound minecraft:entity.zombie.hurt hostile @a ~ ~1 ~ 0.5 0.65
